add_subdirectory( tests )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### tdeeducore (shared)

tde_add_library( tdeeducore SHARED AUTOMOC

  SOURCES
        keduvocdata.cpp
  LINK
     tdecore-shared
     
  VERSION 1.2.0

  DESTINATION ${LIB_INSTALL_DIR}
)


##### other data

install(
    FILES keduvocdata.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/libtdeedu
)
